| Home | Libraries | People | FAQ | More

##### params_encoded_view::contains

(Inherited from `params_encoded_base`)

Return true if a matching key exists.

###### Synopsis

    bool
    contains(
        pct_string_view key,
        ignore_case_param ic = {}) const;

###### Description

This function examines the parameters in the container to find a match for the specified key, which may contain percent escapes. The comparison is performed as if all escaped characters were decoded first.

###### Example

    assert( url_view( "?first=John&last=Doe" ).encoded_params().contains( "first" ) );

###### Complexity

Linear in `this->buffer().size()`.

###### Exception Safety

Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `key` contains an invalid percent-encoding.

###### Parameters

Name | Description
--- | ---
`key` | The key to match. By default, a case-sensitive comparison is used.
`ic` | An optional parameter. If the value `ignore_case` is passed here, the comparison is case-insensitive.